summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimone <26844016+simonebortolin@users.noreply.github.com>2023-05-27 16:17:45 +0200
committerGitHub <noreply@github.com>2023-05-27 16:17:45 +0200
commit706c3ffe246aeeee5de86125b41fce46c473c8b7 (patch)
tree6b2b09e36c86f3289c9e4ab639a036c727902baa
parentUpdated software version for AFM0003/AFM0002/ODI and fix Luna Page (#210) (diff)
downloadhack-gpon.github.io-706c3ffe246aeeee5de86125b41fce46c473c8b7.tar
hack-gpon.github.io-706c3ffe246aeeee5de86125b41fce46c473c8b7.tar.gz
hack-gpon.github.io-706c3ffe246aeeee5de86125b41fce46c473c8b7.tar.bz2
hack-gpon.github.io-706c3ffe246aeeee5de86125b41fce46c473c8b7.tar.lz
hack-gpon.github.io-706c3ffe246aeeee5de86125b41fce46c473c8b7.tar.xz
hack-gpon.github.io-706c3ffe246aeeee5de86125b41fce46c473c8b7.tar.zst
hack-gpon.github.io-706c3ffe246aeeee5de86125b41fce46c473c8b7.zip
-rw-r--r--_ont/ont-nokia-g-010s-a.md222
1 files changed, 219 insertions, 3 deletions
diff --git a/_ont/ont-nokia-g-010s-a.md b/_ont/ont-nokia-g-010s-a.md
index 9a8b83a..6233e61 100644
--- a/_ont/ont-nokia-g-010s-a.md
+++ b/_ont/ont-nokia-g-010s-a.md
@@ -57,20 +57,236 @@ The stick has a TTL 3.3v UART console (configured as 115200 8-N-1) that can be a
{% include alert.html content="Some USB TTL adapters label TX and RX pins the other way around: try to swap them if the connection doesn't work." alert="Note" icon="svg-warning" color="yellow" %}
-# General Settings and Useful Commands
+## List of partitions
+
+| dev | size | erasesize | name |
+| ----- | -------- | --------- | ------------- |
+| mtd0 | 00040000 | 00010000 | "uboot" |
+| mtd1 | 00080000 | 00010000 | "uboot_env" |
+| mtd2 | 00600000 | 00010000 | "linux" |
+| mtd3 | 004d81b6 | 00010000 | "rootfs" |
+| mtd4 | 000b0000 | 00010000 | "rootfs_data" |
+| mtd5 | 00600000 | 00010000 | "image1" |
+| mtd6 | 00100000 | 00010000 | "configfs" |
+| mtd7 | 00210000 | 00010000 | "logfs" |
+| mtd8 | 00010000 | 00010000 | "ri" |
+| mtd9 | 00010000 | 00010000 | "sfp" |
+| mtd10 | 00010000 | 00010000 | "ribackup" |
+
+## List of software versions
+
+- 3FE46398AFGA95
+- 3FE46398AFGB89
+- 3FE46398BFGA06
+- 3FE46398BFGB18
+- 3FE46398BFIB36
+- 3FE46398BGCB22
+- 3FE47111AFGB89
+- 3FE47111BFHB32
+
+See more info on: [Firmwares G-010S-A](https://github.com/hwti/G-010S-A#firmwares)
+
+# Usage
+
+## Enable serial
+
+```sh
+fw_setenv bootdelay 5
+fw_setenv asc0 0
+fw_setenv preboot
+```
+
+# GPON ONU status
+
+## Get the operational status of the ONU
+
+```sh
+onu ploamsg
+```
+
+## Get information of the OLT vendor
+
+```sh
+omci_pipe.sh meg 131 0
+```
+
+## Querying a particular OMCI ME
+
+```sh
+omci_pipe.sh meg MIB_IDX ME_IN
+```
+Where `MIB_IDX` is the MIB ID and the `ME_IN` is the ME instance number
+
+## Getting/Setting Speed LAN Mode
+
+| Velue | Speed |
+| ----- | ---------------------------------- |
+| 4 | 1 Gbps / SGMII |
+| 5 | 2.5 Gbps / HSGMII with auto-neg on |
+
+To enable the 2.5 Gbps / HSGMII with auto-neg on:
+
+```sh
+fw_setenv sgmii_mode 5
+```
+
+To remove the value (back to default):
+```sh
+fw_setenv sgmii_mode
+```
+
+To get the (H)SGMII Mode:
+
+```sh
+onu lanpsg 0
+```
+The `link_status` variable tells the current speed
+
+# GPON/OMCI settings
+
+## Enable parameters modification
+This setting must be inserted in order to performs the others parameters modification
+```sh
+ritool set OperatorID 0000
+```
+
+## Getting/Setting ONU GPON Serial Number
+To check the current serial number:
+```sh
+onu gtcsng
+```
+
+To set the current serial number:
+```sh
+ritool set MfrID ABCD
+ritool set G984Serial 012345678
+ritool set YPSerialNum 012345678
+```
+
+## Getting/Setting ONU GPON PLOAM password
+To check the current password (the password field contains decimal values of ASCII characters):
+```sh
+onu gtccg
+```
+
+The value can be changed using the web interface.
+
+## Getting/Setting OMCI software version (ME 7)
+
+Software verion must be changed by directly modifing firmware by using the patches which can be found in GitHub page of [Nokia G-010-A](https://github.com/hwti/G-010S-A) and adding a folder `0001_swversion` that contins a file `patch.sh`:
+```
+#!/bin/sh
+
+set -e
+
+ROOTFS=$1
+
+echo "Changing to software version desidered"
+sed -i s/3FE46398BGCB22/3FE45655BOCK99/g "$ROOTFS/usr/etc/buildinfo"
+```
+Where `3FE46398BGCB22` is the current software version and `3FE45655BOCK99` the software version desidered
+
+## Getting/Setting OMCI hardware version (ME 256)
+
+```
+ritool set HardwareVersion 3FE47211EGAA
+ritool set ICS 01
+```
+
+## Getting/Setting OMCI equipment ID (ME 257)
+
+This ONT is designed to save nokia equipment ID, specifically to put the equipment ID of a Nokia G-010G-Q we need:
+
+```sh
+ritool set CleiCode __________
+ritool set Mnemonic G-010G-Q__
+```
+Where `CleiCode` is the prefix and `Mnemonic` the postfix.
+
+# Advanced settings
+
+## Transferring files to the stick
+
+{% include alert.html content="If you use a modern OpenSSH version (e.g. >= 8.8) you will have to use the legacy protocol and enable some deprecated algorithms: scp `-oKexAlgorithms=+diffie-hellman-group1-sha1 -oHostKeyAlgorithms=+ssh-dss [...]`" alert="Info" icon="svg-info" color="blue" %}
+
+```sh
+# scp rootfs.bin root@192.168.1.10:/tmp/
+```
+
+## Backup of all partition
+
+Make a backup of all partitions, an easy way is:
+- On the stick run:
+```sh
+cat /proc/mtd
+```
+- For each mtdX run in the lantiq shell:
+```sh
+cp /dev/mtdX /tmp
+```
+
+{% include alert.html content="If you use a modern OpenSSH version (e.g. >= 8.8) you will have to use the legacy protocol and enable some deprecated algorithms: `scp -oKexAlgorithms=+diffie-hellman-group1-sha1 -oHostKeyAlgorithms=+ssh-dss [...]`" alert="Info" icon="svg-info" color="blue" %}
+
+And in the computer shell:
+```sh
+scp ONTUSER@192.168.1.10:/tmp/mtdX ./
+```
+
+## Checking the currently active image
+
+```sh
+upgradestatus
+```
+
+## Setting management MAC
+
+```
+ritool set MACAddress 12:34:56:78:9A:BC
+```
+
+## Setting management IP
+
+```
+ifconfig eth0:1 192.168.1.10 netmask 255.255.255.0
+```
+
+## Flashing a new rootfs via SSH
+
+{% include alert.html content="Only the inactive image can be flashed" alert="Info" icon="svg-info" color="blue" %}
+
+{% include alert.html content="It is recommended to enable serial access via TTL" alert="Info" icon="svg-info" color="blue" %}
+
+The following commands are used to flash a new rootfs to image1 and then boot to it
+```sh
+mtd write /tmp/rootfs.bin image1
+update_env_flag 1
+reboot
+```
## Disabling Dying Gasp
```sh
uci set gpon.gtc.nDyingGaspEnable='0'; uci commit gpon
```
-# HW Modding
+## Rebooting the ONU
+```sh
+reboot
+```
-- [Nokia G-010S-A Pin 6 Iusse - Rsaxvc.net](https://rsaxvc.net/blog/2020/8/15/Nokia_G-010S-A_Pin_6_Issue.html)
+## Miscellaneous commands
+
+```sh
+cat /configs/image_version
+cat /usr/etc/buildinfo
+ritool dump
+omciMgr
+```
# Miscellaneous Links
- [G-010S-A](https://github.com/hwti/G-010S-A)
- [Usage GPON module SFP in Spain](https://forum.mikrotik.com/viewtopic.php?t=116364&start=300)
- [Bypassing the HH3K up to 2.5Gbps using a BCM57810S NIC](https://www.dslreports.com/forum/r32230041-Internet-Bypassing-the-HH3K-up-to-2-5Gbps-using-a-BCM57810S-NIC)
+- [Nokia G-010S-A Pin 6 Iusse - Rsaxvc.net](https://rsaxvc.net/blog/2020/8/15/Nokia_G-010S-A_Pin_6_Issue.html)
+